Пример #1
0
        public Snap.NX.Ellipse Copy(Transform xform)
        {
            TaggedObject obj3 = (TaggedObject)base.Copy(xform).NXOpenTaggedObject;

            NXOpen.Arc arc = obj3 as NXOpen.Arc;
            if (arc != null)
            {
                Snap.NX.NXObject.Delete(new Snap.NX.NXObject[] { arc });
                throw new ArgumentException("The transform would convert the ellipse to an arc. Please use Curve.Copy instead");
            }
            return((NXOpen.Ellipse)obj3);
        }
Пример #2
0
 internal Arc(NXOpen.Arc arc) : base(arc)
 {
     this.NXOpenArc = arc;
 }